summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorHolger Hans Peter Freyther <holger@moiji-mobile.com>2016-04-24 21:58:07 +0200
committerHolger Hans Peter Freyther <holger@moiji-mobile.com>2016-04-24 21:58:07 +0200
commit9a333be20be5715993c9a6d4f14bd9826d0a30de (patch)
treeb8d414e87f9a500ebd16bc502a819253e979fe47 /contrib
parentd1c11b1e976532b23321a44a48606e7a78685a38 (diff)
jenkins: Add first CI script for the SIP connector
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..1a574b4
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -ex
+
+rm -rf deps/install
+mkdir deps || true
+cd deps
+osmo-deps.sh libosmocore
+
+cd libosmocore
+autoreconf --install --force
+./configure --prefix=$PWD/../install
+$MAKE $PARALLEL_MAKE install
+
+cd ../../
+autoreconf --install --force
+PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig ./configure
+PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig $MAKE $PARALLEL_MAKE
+PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
+